Subject: Avoid set-coding-priority for Emacs 28
Author: Tatsuya Kinoshita <tats@debian.org>
Bug: https://github.com/kazu-yamamoto/Mew/pull/143

--- a/mew-env.el
+++ b/mew-env.el
@@ -99,7 +99,8 @@ requires PTY.")
 
 (with-no-warnings
   (defun mew-set-coding-priority (pri)
-    (set-coding-priority pri)))
+    (apply 'set-coding-system-priority
+	   (mapcar #'(lambda (x) (symbol-value x)) pri))))
 
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;;;
